# Class CIM_WSManagementCapabilities
extends CIM_WBEMProtocolServiceCapabilities

WS-Management Capabiltiies. For more information see the WS-Management specification, DSP0226.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_EnabledLogicalElementCapabilities
|
+--CIM_ProtocolServiceCapabilities
|
+--CIM_WBEMProtocolServiceCapabilities
|
+--CIM_WSManagementCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | WS-Management Capabiltiies. For more information see the WS-Management specification, DSP0226.
UMLPackagePath | string | CIM::Interop::WBEMProtocol
Version | string | 2.38.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
XPathFeatures | uint16 |
Description | string | Enumeration of XPath features supported by an Object Manager or Provider associated via ElementCapabilities. For more information refer to the WS-Management Specification, DSP0226 1.0, Annex D "XPath Support".
ValueMap | string | 2, 3, ..
Values | string | Level 1 with basic node selector support and no filtering, Level 2 with basic filtering support, DMTF Reserved

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
ElementNameEditSupported | boolean | CIM_EnabledLogicalElementCapabilities
ElementNameMask | string | CIM_EnabledLogicalElementCapabilities
GenericOperationCapabilities | string | CIM_WBEMProtocolServiceCapabilities
InstanceID | string | CIM_Capabilities
ListeningPortManagementSupported | boolean | CIM_ProtocolServiceCapabilities
MaxConnections | uint16 | CIM_ProtocolServiceCapabilities
MaxElementNameLen | uint16 | CIM_EnabledLogicalElementCapabilities
MaxListeningPorts | uint16 | CIM_ProtocolServiceCapabilities
AuthenticationMechanismsDescriptions | string[] | CIM_WBEMProtocolServiceCapabilities
AuthenticationMechanismsSupported | sint16[] | CIM_WBEMProtocolServiceCapabilities
RequestedStatesSupported | uint16[] | CIM_EnabledLogicalElementCapabilities
WBEMProtocolVersionsSupported | string[] | CIM_WBEMProtocolServiceCapabilities

## Class Methods